Ogre::GLXContext Class Reference

`#include <OgreGLXContext.h>`

Inheritance diagram for Ogre::GLXContext:
[legend]

List of all members.

## Public Member Functions

| GLXContext (GLXGLSupport *glsupport,::GLXFBConfig fbconfig,::GLXDrawable drawable,::GLXContext context=0)
virtual | ~GLXContext ()
virtual void | setCurrent ()
virtual void | endCurrent ()
GLContext * | clone () const
bool | getInitialized ()
void | setInitialized ()
virtual void | releaseContext ()
| Release the render context.

## Public Attributes

::GLXDrawable | mDrawable
::GLXContext | mContext

## Protected Attributes

bool | initialized

## Private Attributes

::GLXFBConfig | mFBConfig
GLXGLSupport * | mGLSupport
bool | mExternalContext

## Detailed Description

Definition at line 36 of file OgreGLXContext.h.

## Constructor & Destructor Documentation

Ogre::GLXContext::GLXContext | ( | GLXGLSupport * | glsupport,
|  | ::GLXFBConfig | fbconfig,
|  | ::GLXDrawable | drawable,
|  | ::GLXContext | context = `0`
| ) |  |

virtual Ogre::GLXContext::~GLXContext | ( |  | ) | `[virtual]`

## Member Function Documentation

GLContext* Ogre::GLXContext::clone | ( |  | ) | const`[virtual]`

Create a new context based on the same window/pbuffer as this context - mostly useful for additional threads.

Note:
  The caller is responsible for deleting the returned context.

Implements Ogre::GLContext.

virtual void Ogre::GLXContext::endCurrent | ( |  | ) | `[virtual]`

This is called before another context is made current.

By default, nothing is done here.

Implements Ogre::GLContext.

bool Ogre::GLContext::getInitialized | ( |  | ) | `[inherited]`

Definition at line 57 of file OgreGLContext.h.

virtual void Ogre::GLContext::releaseContext | ( |  | ) | `[virtual, inherited]`

Release the render context.

Reimplemented in Ogre::Win32Context.

Definition at line 69 of file OgreGLContext.h.

virtual void Ogre::GLXContext::setCurrent | ( |  | ) | `[virtual]`

Enable the context.

All subsequent rendering commands will go here.

Implements Ogre::GLContext.

void Ogre::GLContext::setInitialized | ( |  | ) | `[inherited]`

Definition at line 58 of file OgreGLContext.h.

## Member Data Documentation

bool Ogre::GLContext::initialized`[protected, inherited]`

Definition at line 71 of file OgreGLContext.h.

::GLXContext Ogre::GLXContext::mContext

Definition at line 53 of file OgreGLXContext.h.

::GLXDrawable Ogre::GLXContext::mDrawable

Definition at line 52 of file OgreGLXContext.h.

bool Ogre::GLXContext::mExternalContext`[private]`

Definition at line 58 of file OgreGLXContext.h.

::GLXFBConfig Ogre::GLXContext::mFBConfig`[private]`

Definition at line 56 of file OgreGLXContext.h.

GLXGLSupport* Ogre::GLXContext::mGLSupport`[private]`

Definition at line 57 of file OgreGLXContext.h.

The documentation for this class was generated from the following file:

- OgreGLXContext.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:50